| Home | Libraries | People | FAQ | More

#### websocket::stream_base::timeout

Stream option to control the behavior of websocket timeouts.

##### Synopsis

Defined in header `<boost/beast/websocket/stream_base.hpp>`

    struct timeout

##### Static Member Functions

Name | Description
--- | ---
suggested | Construct timeout settings with suggested values for a role.

##### Data Members

Name | Description
--- | ---
handshake_timeout | Time limit on handshake, accept, and close operations:
idle_timeout | The time limit after which a connection is considered idle.
keep_alive_pings | Automatic ping setting.

##### Description

Timeout features are available for asynchronous operations only.